sequenceDiagram
autonumber
participant unitymbo as ePages 6 Unity MBO
participant epages6 as ePages6 <br/> Cartridge
participant paypal as PayPal

%% https://developer.paypal.com/docs/multiparty/seller-onboarding/build-onboarding/

epages6-->>unitymbo: UI routine to retrieve referral url
Note over unitymbo, paypal:Merchant is in the MBO, on the payment method settings page
unitymbo->>paypal: Merchant initiates onboarding, popup opens
paypal->>epages6: Onboarding complete and triggers javascript callback with authcode/sharedid
epages6->>epages6: Retrieve temporary access token
epages6->>epages6: Retrieve client id/secret
epages6->>epages6: Register webhooks
epages6->>epages6: Retrieve merchant information
epages6->>unitymbo: Show payment method settings page with error/success message