#========================================================================================
# package      DE_EPAGES::ProductPortal::API::REST::ProductPortalExportDriver
# base         DE_EPAGES::base
# state        public
#----------------------------------------------------------------------------------------
# description  This module implements a handler to export shop products via REST
#----------------------------------------------------------------------------------------
# example      use DE_EPAGES::ProductPortal::API::REST::ProductPortalExportDriver;
#               DE_EPAGES::ProductPortal::API::REST::ProductExportDriver->exportREST($FileName, $hFileFormat, $aColumns, $Shop, $aObjects );
#========================================================================================
package DE_EPAGES::ProductPortal::API::REST::ProductPortalExportDriver;
use base DE_EPAGES::Product::API::CSV::ProductExportDriver;

use strict;

#========================================================================================
# function     startMonitor
# state        public
#----------------------------------------------------------------------------------------
# syntax       $self->startMonitor($PageTypeName);
#----------------------------------------------------------------------------------------
# description  starts the progress monitor. Creates an object of
#               <package DE_EPAGES::Presentation::API::Object::ProgressMonitor>
#               if run inside the application server, otherwise the package
#               <package DE_EPAGES::Core::API::Object::ProgressMonitor>
#               is used.
#========================================================================================
sub startMonitor {
    my $self = shift;

    return;
}


1;
