#========================================================================================
# §package      DE_EPAGES::PayPalPPCP::UI::Shop
# §state        public
# §description  UI class
#========================================================================================
package DE_EPAGES::PayPalPPCP::UI::Shop;
use base DE_EPAGES::Order::UI::Shop;

use strict;

#========================================================================================
# §function     TransactionPaymentName
# §state        private
#----------------------------------------------------------------------------------------
# §syntax       $Name = $Handler->TransactionPaymentName();
#----------------------------------------------------------------------------------------
# §description  Name of PaymentType for search/view transactions.
#----------------------------------------------------------------------------------------
# §return       $Name | name of payment type | string
#========================================================================================
sub TransactionPaymentName {
    return 'PayPalPPCP';
}

1;
